## language-env 0.38

=== Makefile ===
#! /usr/bin/make -f
#
# Makefile for language-env

SCRIPTS = set-language-env user-ja-conf tklanguage
MANPAGES = set-language-env user-ja-conf tklanguage
LANGUAGES = be bg da de es fr ja ko mk ru sr th uk pl
BINPATH = /usr/bin
LIBPATH = /usr/share/language-env

CYR = be bg mk sr uk


all:
	./check_translation
	for i in $(CYR) ; do \
	  m4 --define=LANGUAGEM=$$i cyr/support.cyr.m4>support.$$i.pl ;\
	  mkdir $$i ; \
	  mkdir $$i/dot.elm ; \
	done
	(cd cyr/main ; find . -type f | while read i ; do \
	  for ln in $(CYR) ; do \
	    cat ../$$ln/$$i $$i > ../../$$ln/$$i ; \
	  done ; \
	done)

install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(BINPATH)
	install -m 644 general.pl $(DESTDIR)$(LIBPATH)
	install -m 644 support.*.pl $(DESTDIR)$(LIBPATH)
	install -m 644 support.language.pl.template $(DESTDIR)$(LIBPATH)
	for i in $(LANGUAGES) ; do \
	  cp -r $$i $(DESTDIR)$(LIBPATH)/$$i ;\
	  install -m 644 $$i.xbm $(DESTDIR)$(LIBPATH)/$$i.xbm ;\
	done
	for i in $(MANPAGES) ; do \
	  install -m 644 $$i.1 $(DESTDIR)/usr/share/man/man1/$$i.1 ; \
	  install -m 644 $$i.ja.1 $(DESTDIR)/usr/share/man/ja/man1/$$i.1 ;\
	  [ -f $$i.pl.1 ] && \
	     install -m 644 $$i.pl.1 $(DESTDIR)/usr/share/man/pl/man1/$$i.1 ;\
	done

clean:
	rm -rf *~
	rm -rf $(CYR)
	for i in $(CYR) ; do \
	  rm -f support.$$i.pl ; \
	done

=== debian/changelog ===
language-env (0.38) unstable; urgency=medium

  * Instruction to use Canna with egg package by modifying /etc/init.d/canna
    file.
  * urgency=medium because of upload immediately after "urgency=medium"
    previous version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 18 Apr 2002 10:29:27 +0900

language-env (0.37) unstable; urgency=medium

  * Canna/Wnn/SKK supports for emacs20/emacs21/xemacs21 were completely
    rewrited (ja/dot.emacs.el and ja/dot.xemacs/init.el).
  * mule2 and emacs20-dl are not supported any more (ja/dot.emacs.el).
  * A typo was fixed (set-language-env.1).
  * Version 0.9.2 series of Eterm has been adopted for Debian package,
    which is locale-sensible.  Forced LANG=C for TERM=Eterm was removed
    (ja/dot.bashrc.pl and ja/dot.cshrc.pl).
  * urgency=medium to catch up with existing emacsen for Woody.

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 18 Apr 2002 00:52:52 +0900

language-env (0.36) unstable; urgency=low

  * Enabled copy/paste of ISO-8859-15 characters ({fr,de,es}/dot.emacs.pl)
    (Closes: #134883).
  * TERM=xterm will be regarded to be able to display Japanese
    (LANG=ja_JP.eucJP), because mlterm and gnome-terminal can display
    Japanese now.  This can cause a problem when using xterm which will
    set TERM=xterm while it cannot display Japanese (ja/dot.bashrc.pl).
    TERM=linux (Raw Linux console) is left to be LANG=C because it
    cannot display Japanese.

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed, 10 Apr 2002 11:18:21 +0900

language-env (0.35) unstable; urgency=low

  * Catalan debconf template (thanks to Antoni Bella <bella5@teleline.es>)
    (Closes: #139734).

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue, 26 Mar 2002 20:45:48 +0900

language-env (0.34) unstable; urgency=low

  * ISO-8859-15 support (aka EURO support) for emacs for French, German,
    and Spanish. (Closes: #137877).
  * Updated message for fr/dot.xsession.pl (thanks to Nicolas SABOURET).
  * Wrong comment character for fr/dot.emacs is fixed.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 17 Mar 2002 21:40:42 +0900

language-env (0.33) unstable; urgency=low

  * Added original English messages to Debconf translated templates
    (Closes: #134508).
  * Added French translation of Debconf templates (Closes: #134629).
  * Added Russian transition of Debconf templates (Closes: #135841).
  * Renewed the mechanism to determine LANG variable in ja/dot.bashrc.pl
    and ja/dot.cshrc.pl because gnome-terminal now supports multibyte
    encodings and there was a bug in previous language-env that LANG was
    forced to be "C" in mlterm while mlterm supports Japanese.
  * Description about which X terminal emulators are Japanese-capable
    (README.ja.en and README.ja.eucJP).
  * Invoking mechanism for nvi-m17n-canna/nvi-m17n/vi is changed
    (ja/dot.bashrc.pl and ja/dot.cshrc.pl).

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue, 19 Feb 2002 10:05:25 +0900

language-env (0.32) unstable; urgency=medium

  * Xedit*fontset -> Xedit*fontSet in ja/dot.Xresources (wrong resource,
    bug fix).
  * standard-display-european is semi-obsolete, set-language-environment
    is a substitute.  ({da,de,es}/dot.emacs) (Closes: #129943).
  * use $?WINDOWID instead of "$WINDOWID" != "" in ja/dot.cshrc
    (Closes: #129946).
  * Added "set send_charset=us-ascii:koi8-r:utf-8" in ru/dot.muttrc
    (Closes: #132290).
  * Added month/week names (for emacs "calendar" package) for
    fr/dot.emacs and de/dot.emacs (Closes: #128703).
  * It is documented that dired in emacs20 doesn't work with Japanese.
    (Closes: #79576).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 27 Jan 2002 16:47:12 +0900

language-env (0.31) unstable; urgency=low

  * Wrong shell scripts which cause errors, fixed (Closes: #127422).
  * Indicate how to edit /etc/locale.gen to install required locales
    (Closes: #126351).
  * Danish support, thanks to Claus Hindsgaul <claus_h@image.dk>.

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed,  2 Jan 2002 22:14:55 +0900

language-env (0.30) unstable; urgency=low

  * Typo in ja/dot.xsession.pl (Closes: #121464).
  * Changed from "-semicondensed-" fonts into "-normal-" fonts for
    xterm settings for French, which are more probable to exist,
    to avoid font-is-not-exist problem.
  * Use xprop and WM_CLASS for $WINDOWID to judge whether Japanese
    characters can be displayed or not (ja/dot.bashrc.pl and
    ja/dot.cshrc.pl), to avoid misjudge as far as possible.
  * LANG=ja_JP.UTF-8 when "xterm (unicode)" or "uxterm" is invoked
    (ja/dot.bashrc.pl and ja/dot.cshrc.pl).
  * Changed $LV from "-Or" to "-Al1" when LANG=C (ja/dot.bashrc.pl and
    ja/dot.cshrc.pl), to ensure displaying Latin-1 characters in
    non-Japanese-enabled terminals.
  * Rxvt settings for ISO-8859-15 (fr/dot.Xresources.pl).
  * Included error check whether xprop can be invoked safely in
    support.ja.pl .

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 30 Nov 2001 00:06:03 +0900

language-env (0.29) unstable; urgency=low

  * $DOTFILECONTENTS1 and $DOTFILECONTENTS2 are available in
    <language>/dot.<foobar>.pl files.
  * Execute a session manager, a window manager, or a terminal emulator
    only if nothing follows the generated contents.  (dot.xsession for
    various languages).

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 23 Nov 2001 23:53:06 +0900

language-env (0.28) unstable; urgency=low

  * New French files (Euro support, Belgium, Canada, Switzerland,
    and Luxembourg).
  * Euro support for German and Spanish.
  * German settings for not only Germany but also Austria, Belgium, 
    Switzerland, and Luxembourg.
  * Spanish settings for not only Spain but also Argentina, Bolivia,
    Chile, Colombia, Costa Rica, Dominican Republic, Ecuador, Guatemala,
    Honduras, Mexico, Nicaragua, Panama, Peru, Puerto Rico, Paraguay,
    United States, Uruguay, and Venezuela.
  * New Cyrillic languages files (thanks to Anton Zinoviev).
    This files supports UTF-8.


=== debian/control ===
Source: language-env
Section: misc
Priority: optional
Build-Depends-Indep: debhelper, m4, debconf-utils
Maintainer: Tomohiro KUBOTA <kubota@debian.org>
Standards-Version: 3.5.0

Package: language-env
Architecture: all
Depends: perl5, locales, debconf
Recommends: ncurses-term, wish
Conflicts: user-ja (<< 0.29)
Replaces: user-ja (<< 0.29)
Description: simple configuration tool for native language environment
 This tool adds basic settings for natural language environment such as
 LANG variable, font specifications, input methods, and so on into 
 user's several dot-files such as .bashrc and .emacs.
 .
 This version of language-env supports Belarusian, Bulgarian, Danish,
 French, German, Japanese, Korean, Macedonian, Polish, Russian, Serbian,
 Spanish, Thai, and Ukrainian.
 .
 Japanese support comes from precursor package 'user-ja'.  Thai support
 is written by Chanop Silpa-Anan.  German support comes from 'user-de'
 package version 0.8.  Spanish support comes from 'user-es' 0.5. Russian
 support is written by Peter Novodvorsky <petya@logic.ru>.  Belarusian,
 Bulgarian, Macedonian, Serbian and Ukrainian supports are written by
 Anton Zinoviev <zinoviev@debian.org>, the Belarusian translation is
 by Alexander Mikhailian <mikhailian@altern.org>, and the Serbian
 translation is by Milos Rancic <millosh@isgf.grf.bg.ac.yu>.  Korean
 support is written by Ho-seok Lee <alee@kuls.korea.ac.kr>.  French
 support is written by Nicolas Sabouret <nico@limsi.fr>. Polish support
 is written  by Robert Luberda <robert@debian.org>. Danish support is
 written by Claus Hindsgaul <claus_h@image.dk>.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=language-env

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installdebconf
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## language-env 0.57

=== debian/changelog ===
language-env (0.57) unstable; urgency=medium

  * urgency=medium to fix serious bug #250601.
  * A gabage file ko/.#dot.xsession was removed (Closes: #250013).
  * Fixed Dutch po-debconf translation by Luk Claes <luk.claes@ugent.be>
    (Closes: #251216).
  * Updated Cyrillic (Belarusian, Bulgarian, Macedonian, Serbian and
    Ukrainian) support by Anton Zinoviev. (Closes: #250270).
    - Macedonian translation by (thanks to Novica Nakov <novica@bagra.org>)
    - make use of the more keyboard switchers and toggles in XFree 4.3
    - Bulgarian X keyboards support special publishing symbols.
    - Serbian X keyboard supports both Latin and Cyrillic alphabets
    - updated support for Emacs (supports both Emacs 20 and Emacs 21, abandoned
      support for XEmacs)
    - updated README.be-bg-mk-sr-uk.
  * Update Turkish support by Recai Oktas (Closes: #251330, #250601).
    - support.tr.pl:
        + After upgrading the perl packages, '%PackageStatus' static
          hash declaration generated a "Bizarre copy of HASH ..." error.
          Change the declaration (still don't know why it ever happens).
        + Add 'util-linux-locales' to the required packages list.
        + Improve translations.
        + Remove unnecessary comments around the translations.
    - dot.Xresources.pl:
        + New version of xterm (-dfsg.1-2) comes with a 'utf8Fonts'
          resource which is set in app-defaults.  This setting overrides
          our font choice, since this resource is more spesific than the
          '*VT100*font'.  Modify font resources accordingly.
        + Add new code to detect an old xterm without the luit support,
          change the settings accordingly.
        + Comment out the settings for XTerm colors, since it means a
          diversion from the Debian standarts.
        + Cosmetic fixes: expand tabs.
    - README.tr:
        + Add a short info about Terminus console font setting.
        + Minor doc fixes.
  * Documented in README.ja.* that skk is obsolete and use ddskk instead.
    (Closes: #250015).
  * Fixed a typo in lt/dot.Xresources.pl (Closes: #251332).
  * Added 'utf8Fonts' settings for Polish (Closes: #251331).
  * Japanese, Korean, and Thai need no settings for xterm to display
    their characters since xterm-4.3.0.dfsg.1-2 (needing "luit" program
    in "xutils" package).

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  1 Jun 2004 07:48:41 +0900

language-env (0.56) unstable; urgency=low

  * Updated Polish support (Closes: #245055).

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 22 Apr 2004 00:30:26 +0900

language-env (0.55) unstable; urgency=low

  * Modified the method to check whether the specified locale is
    already generated.
  * Always invoke "ami", an XIM server to input Korean characters
    from keyboard (ko/dot.xsession) (Closes: #241778).
  * Use iso10646-1 font for xterm which enables xterm to display
    Korean (ko/dot.Xresources.pl).
  * Use uim-xim to support Anthy and PRIME input methods for XIM-supporting
    softwares to input Japanese characters from keyboard.
  * Updated Japanese documentation.
  * Updated Turkish support by Recai Oktas (Closes: #244842).
  * A typo fix in set-language-env (Closes: #244844).
  * ssh improvement in cyrillic (Closes: #244846).

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 16 Apr 2004 18:06:44 +0900

language-env (0.54) unstable; urgency=low

  * Added Turkish support (Thanks to Recai Oktas <roktas@omu.edu.tr>).
  * Updated French debconf template (Closes: #241987).

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri,  9 Apr 2004 00:02:03 +0900

language-env (0.53) unstable; urgency=low

  * Anthy and PRIME support on emacs/xemacs for Japanese by Masahito Omote
    (Closes: #231546).
  * Updated Danish po-debconf translation by Morten Brix Pedersen
    <morten@wtf.dk> (Closes: #241253).
  * A patch from Kęstutis Biliūnas <kebil@kaunas.init.lt> (Closes: #237930).
    - Added Lithuanian support.
    - Added Lithuanian translation of Debconf templates (lt.po).
    - debian/changelog: converted to UTF-8.
    - debian/control: bumped Standards-Version to 3.6.1.
    - debian/menu: added quotes in strings need and section (fixes
      unenquoted-string-in-menu-item lintian warning). 
  * xterm is now locale-sensible (ja/dot.bashrc.pl and ja/dot.cshrc.pl)
    but font setting is needed.
  * set-language-env -l ja can be invoked in UTF-8 environment.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat,  3 Apr 2004 17:50:16 +0900

language-env (0.52) unstable; urgency=low

  * Greek translation of debconf template (Closes: #229510).

 -- Tomohiro KUBOTA <kubota@debian.org>  Mon, 26 Jan 2004 01:35:09 +0900

language-env (0.51) unstable; urgency=low

  * doc-linux-fr package has been splitted into doc-linux-fr-text
    and doc-linux-fr-html packages.  (Closes: #218565)

 -- Tomohiro KUBOTA <kubota@debian.org>  Mon,  3 Nov 2003 22:56:10 +0900

language-env (0.50) unstable; urgency=low

  * nvi-m17n and nvi-m17n-canna packages are no longer available.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 26 Oct 2003 18:41:09 +0900

language-env (0.49) unstable; urgency=low

  * Catalan support by Guillem Jover <guillem@debian.org>.
    (Closes: #213281).

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue, 30 Sep 2003 23:57:17 +0900

language-env (0.48) unstable; urgency=low

  * /usr/bin/jfbterm is now locale-sensible; jfbterm is changed to
    an alias to set LANG and then invoke /usr/bin/jfbterm.
    (ja/dot.bashrc.pl, ja/dot.cshrc.pl, ko/dot.bashrc).
    (Bug report http://lists.debian.or.jp/debian-users/200309/msg00071.html
    in Japanese language).
  * Also, LANG will not changed when TERM is 'jfbterm'.
    (ja/dot.bashrc.pl, ja/dot.cshrc.pl).
    (ditto).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 27 Sep 2003 23:08:41 +0900

language-env (0.47) unstable; urgency=low

  * Dutch translation of debconf template (Closes: #204920).

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 14 Aug 2003 05:02:45 +0900



=== debian/control ===
Source: language-env
Section: misc
Priority: optional
Build-Depends-Indep: debhelper (>= 4.1.16), m4, debconf-utils, po-debconf
Maintainer: Tomohiro KUBOTA <kubota@debian.org>
Standards-Version: 3.6.1

Package: language-env
Architecture: all
Depends: ${perl:Depends}, locales, debconf
Recommends: ncurses-term, wish
Conflicts: user-ja (<< 0.29)
Replaces: user-ja (<< 0.29)
Description: simple configuration tool for native language environment
 This tool adds basic settings for natural language environment such as
 LANG variable, font specifications, input methods, and so on into 
 user's several dot-files such as .bashrc and .emacs.
 .
 This version of language-env supports Belarusian, Bulgarian, Catalan,
 Danish, French, German, Japanese, Korean, Lithuanian, Macedonian, Polish,
 Russian, Serbian, Spanish, Thai, Turkish, and Ukrainian.

## language-env 0.58

=== debian/changelog ===
language-env (0.58) unstable; urgency=low

  * Kenshi Muto
   - Add myself as co-maintainer with primary maintainer Kubota's permission.
   - Acknowledge fixes by NMUs.
     (closes: #271743, #264308, #264311, #264709, #253469, #255847, #256739)
   - Replace @im=Ami with @im=nabi for Korean (closes: #253133)

 -- Kenshi Muto <kmuto@debian.org>  Tue, 28 Dec 2004 23:21:50 +0900

language-env (0.57.3) unstable; urgency=high

  * NMU
  * ca and es: Move "set" lines from .bashrc to .inputrc
    (Closes: #271743)

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 22 Sep 2004 20:00:46 +0200

language-env (0.57.2) unstable; urgency=medium

  * 2nd NMU for Sarge.
  * Change ls alias from /usr/bin/ls to /bin/ls of csh configuration
    for Japanese (this isn't filed in BTS, but is critical bug...)
  * Fix Emacs coding system mismatch for Japanese (closes: Bug#253469)
  * Change Emacs grep configuration to use lgrep for Japanese
    (closes: Bug#255847)
  * Fix Russian font XLFD to use 'misc' instead of cronyx
    (closes: Bug#256739)
  * Change default Korean XIM to nabi (closes: Bug#253133)
  * Remove slrn-ja, xjed-ja, rxvt-beta and jvim-canna from Japanese
    addlist target.
  * Fix emacs21/xemacs21 detection routine for Japanese.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 22 Aug 2004 09:18:14 +0900

language-env (0.57.1) unstable; urgency=medium

  * NMU with maintainer's permission.
  * Fix jfbterm call routine for correct display (closes: Bug#264308).
  * Remove JIS conversion routine. This is for old kterm, but this is
    old problem, and it causes serious problem because there are many
    applications support only EUC-JP. (closes: Bug#264311)
  * Update Turkish support (closes: Bug#264709)

 -- Kenshi Muto <kmuto@debian.org>  Fri, 13 Aug 2004 13:48:50 +0900

## language-env 0.64

=== debian/changelog ===
language-env (0.64) unstable; urgency=low

  * Kenshi Muto
  - Updated Polish support (closes: #299376)
    THanks Robert.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 24 Mar 2005 19:34:39 +0900

language-env (0.63) unstable; urgency=high

  * Kenshi Muto
  - I forgot to include support.cyr.m4 for Cyrillic languages.
    (closes: #298356)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 13 Mar 2005 10:32:17 +0900

language-env (0.62) unstable; urgency=low

  * Kenshi Muto
  - Use -f instead of -e for checking ~/.bashrc in ~/.bash_profile.
    Thanks J.Grant.

 -- Kenshi Muto <kmuto@debian.org>  Sat,  5 Mar 2005 14:39:51 +0900

language-env (0.61) unstable; urgency=low

  * Kenshi Muto
  - Updated Cyrillic (Belarusian, Bulgarian, Macedonian, Serbian and
    Ukrainian) support. (closes: #294724) Thanks Anton.
    - Execute the secondary X terminal emulator in C locale.  This fixes
      the bug with xterm started in UTF-8 locale and not displaying the
      Cyrillic characters.  Thanks to Alexander Shopov.
    - Add support for aterm and pterm as secondary terminal emulators.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 11 Feb 2005 20:44:32 +0900

language-env (0.60) unstable; urgency=low

  * Kenshi Muto
  * Updated Cyrillic (Belarusian, Bulgarian, Macedonian, Serbian and
    Ukrainian) support. [Thanks anton]
    - Do not use Macedonian as an alternative language for Bulgarian (in
      the LANGUAGE environment variable).  Thanks to Alexander Shopov,
      closes: #283244.
    - Use Serbian translations only in UTF-8 locale because we don't 
      know whether the translations are Cyrillic or Latin and 8-bit coding
      systems do not support both Serbian Cyrillic and Serbian Latin.
    - Reorder the $need_locale for Serbian
    - Request ttf-thryomanes, ttf-arhangai and ttf-freefont by
      &Sub::addlist()
    - Do not change the default colours in Emacs.  Use the Terminus font
      for the main text and a smaller font for the menu bar

 -- Kenshi Muto <kmuto@debian.org>  Fri,  4 Feb 2005 16:28:58 +0900

language-env (0.59) unstable; urgency=low

  * Kenshi Muto
   - Add Czech debconf translation. (closes: #290543)

 -- Kenshi Muto <kmuto@debian.org>  Sat, 22 Jan 2005 12:33:58 +0900

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends-Indep: debhelper (>= 4.1.16), m4, debconf-utils, po-debconf
 Maintainer: Tomohiro KUBOTA <kubota@debian.org>
+Uploaders: Kenshi Muto <kmuto@debian.org>
 Standards-Version: 3.6.1
 
 Package: language-env

## language-env 0.65

=== debian/changelog ===
language-env (0.65) unstable; urgency=low

  * Kenshi Muto
  - Update XMODIFIERS and define UIM_IM_ENGINE for newer anthy/prime.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 22 May 2005 15:50:17 +0900

## language-env 0.66

=== debian/changelog ===
language-env (0.66) unstable; urgency=low

  * Apply Swedish debconf translation. (closes: #330536) Thanks
    Daniel.
  * Add debconf-2.0 for alternative of debconf.
  * Use ja_JP.EUC-JP for Japanese locale name.

 -- Kenshi Muto <kmuto@debian.org>  Wed,  5 Oct 2005 09:04:45 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: language-env
 Architecture: all
-Depends: ${perl:Depends}, locales, debconf
+Depends: ${perl:Depends}, locales, debconf | debconf-2.0
 Recommends: ncurses-term, wish
 Conflicts: user-ja (<< 0.29)
 Replaces: user-ja (<< 0.29)

## language-env 0.68

=== debian/changelog ===
language-env (0.68) unstable; urgency=medium

  [ Kenshi Muto ]
  * Acknowledgement NMU.
  * removed debconf routine from postinst correctly (closes: #399907)
  * Use debconf-i18n | debconf-2.0 for Build-depends. (closes: #318542)
  * Updated Emacs configuration presented by Tatsuya Kinoshita (closes: #393043)
  * Added -c option to LV environment variable to show ANSI escape sequence.
    (closes: #339410)
  * Fixed es/.inputrc to work correctly. (closes: #360835)

 -- Kenshi Muto <kmuto@debian.org>  Mon, 27 Nov 2006 09:10:02 +0900

language-env (0.67-0.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Remove the debconf note that's displayed only in very rare
    situations and rather pertains to README.Debian
    Closes: #388915
    This also makes debconf translations irrelevant
    Closes: #312178
    This also makes comments on the debconf note write style irrelevant
    Closes: #312179
  * Lintian fixes:
    - Set debhelper compatibility to 4 with debian/compat

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 18:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: language-env
 Section: misc
 Priority: optional
-Build-Depends-Indep: debhelper (>= 4.1.16), m4, debconf-utils, po-debconf
+Build-Depends: debhelper (>= 4.1.16)
+Build-Depends-Indep: m4, debconf-utils
 Maintainer: Tomohiro KUBOTA <kubota@debian.org>
 Uploaders: Kenshi Muto <kmuto@debian.org>
 Standards-Version: 3.6.1
 
 Package: language-env
 Architecture: all
-Depends: ${perl:Depends}, locales, debconf | debconf-2.0
+Depends: ${perl:Depends}, locales, debconf-i18n | debconf-2.0
 Recommends: ncurses-term, wish
 Conflicts: user-ja (<< 0.29)
 Replaces: user-ja (<< 0.29)

## language-env 0.69

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SCRIPTS = set-language-env user-ja-conf tklanguage
 MANPAGES = set-language-env user-ja-conf tklanguage
-LANGUAGES = be bg da de es fr ja ko mk ru sr th uk pl
+LANGUAGES = be bg ca da de es fr ja ko lt mk ru sr th tr uk pl
 BINPATH = /usr/bin
 LIBPATH = /usr/share/language-env

=== debian/changelog ===
language-env (0.69) unstable; urgency=low

  * New (temporary) maintainer.
    - Set myself on Maintainer.
  * language-env needs completely rewritings. Contributors or maintainers
    are welcome.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 19 Jun 2008 09:00:53 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 4.1.16)
 Build-Depends-Indep: m4, debconf-utils
-Maintainer: Tomohiro KUBOTA <kubota@debian.org>
-Uploaders: Kenshi Muto <kmuto@debian.org>
+Maintainer: Kenshi Muto <kmuto@debian.org>
 Standards-Version: 3.6.1
 
 Package: language-env

## language-env 0.69build1

=== debian/changelog ===
language-env (0.69build1) lucid; urgency=low

  * No-change upload to get a build in lucid. 

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Feb 2010 23:53:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 #export DH_VERBOSE=1
 
 package=language-env
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
 
 build: build-stamp
 build-stamp:
@@ -39,7 +36,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/$(package)
 
 	touch install-stamp
